## org.eclipse.emf.edit.provider
Interface ComposeableAdapterFactory

All Superinterfaces:
  AdapterFactory

All Known Implementing Classes:
  AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory, AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory, ChangeItemProviderAdapterFactory, ComposedAdapterFactory, DecoratorAdapterFactory, Ecore2EcoreItemProviderAdapterFactory, Ecore2XMLItemProviderAdapterFactory, EcoreItemProviderAdapterFactory, GenModelItemProviderAdapterFactory, MappingEditor.MyDecoratorAdapterFactory, MappingEditor.OverviewDecoratorAdapterFactory, MappingItemProviderAdapterFactory, ReflectiveItemProviderAdapterFactory, ResourceItemProviderAdapterFactory, TreeItemProviderAdapterFactory

    public interface ComposeableAdapterFactory

extends AdapterFactory

This provides support that allows a factory to be composed into a `ComposedAdapterFactory` that serves the union of the model objects from different packages.

Method Summary
`ComposeableAdapterFactory` `getRootAdapterFactory()` This convenience method returns the first adapter factory that doesn't have a parent, i.e., the root.
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the direct parent adapter factory into which this factory is composed.

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adapt, adapt, adaptAllNew, adaptNew, isFactoryForType`

Method Detail

### getRootAdapterFactory

    ComposeableAdapterFactory getRootAdapterFactory()

  This convenience method returns the first adapter factory that doesn't have a parent, i.e., the root.

### setParentAdapterFactory

    void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the direct parent adapter factory into which this factory is composed.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.